{% filter indent(width=4, first=False) %}
{% include "./_mem_offset.jinja" %}
N2D2_Export::lowbitpoolcellPropagate<{{ in_name[0]|upper }}_NB_CHANNELS,
                               {{ in_name[0]|upper }}_IN_HEIGHT,
                               {{ in_name[0]|upper }}_IN_WIDTH,
                               {{ out_name[0]|upper }}_NB_OUTPUTS,
                               {{ out_name[0]|upper }}_OUT_HEIGHT,
                               {{ out_name[0]|upper }}_OUT_WIDTH,
                               {{ name|upper }}_PADDING_Y,
                               {{ name|upper }}_PADDING_X,
                               {{ name|upper }}_STRIDE_Y,
                               {{ name|upper }}_STRIDE_X,
                               {{ name|upper }}_KERNEL_HEIGHT,
                               {{ name|upper }}_KERNEL_WIDTH,
                               {{ name|upper }}_POOLING_TYPE,
                               {{ name|upper }}_ACTIVATION>
                               ({{in_name[0]}}, {{out_name[0]}});
{% endfilter %}
